using System.ComponentModel;

namespace QYZH.InteractiveMagazine.Models.Enum;

/// <summary>
/// 轮播图跳转类型枚举
/// </summary>
public enum BannerTargetTypeEnum
{
    /// <summary>
    /// 无跳转
    /// </summary>
    [Description("无跳转")]
    None = 0,

    /// <summary>
    /// 链接
    /// </summary>
    [Description("链接")]
    Url = 1,

    /// <summary>
    /// 期刊
    /// </summary>
    [Description("期刊")]
    Journal = 2,

    /// <summary>
    /// 商品
    /// </summary>
    [Description("商品")]
    Product = 3
}
